import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Routes, Route } from 'react-router-dom';
import { flatten } from 'lodash';
function toKey(route) {
    if (route.path)
        return route.path;
    if (route.index)
        return '/';
    return '.';
}
export function SlotRouter({ routes: routesFromProps, slot, rootRoutes, children, parentPath }) {
    const routes = routesFromProps || (slot && flatten(slot.values())) || [];
    const withRoot = routes.concat(rootRoutes || []);
    const jsxRoutes = withRoot.map((route) => _jsx(Route, { ...route }, toKey(route)));
    if (parentPath) {
        return (_jsx(Routes, { children: _jsxs(Route, { path: parentPath, children: [jsxRoutes, children] }) }));
    }
    return (_jsx(Routes, { children: _jsxs(Route, { path: parentPath, children: [jsxRoutes, children] }) }));
}
//# sourceMappingURL=slot-router.js.map